--- title: "Add Endpoint Security (HX) server to ePO - SaaS" slug: "add-endpoint-security-hx-server-to-epo-saas" tags: ["EDR with Forensics (EDRF)", "Endpoint Security", "IT Admin"] updated: 2026-09-11T10:10:03Z published: 2026-09-11T10:10:03Z canonical: "docs.trellix.com/add-endpoint-security-hx-server-to-epo-saas" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Add Endpoint Security (HX) server to ePO - SaaS This step creates the communication link at the policy level by assigning the registered Endpoint Security (HX) server instance to the applicable endpoint policy. Endpoints governed by that policy then direct all forensic data communications to the specified server. You can configure the ePO server to connect to the Endpoint Security (HX) server using one of the following methods: - [Automatic mode](/v1/docs/add-endpoint-security-hx-server-to-epo-saas#automatic-mode) - [Manual mode](/v1/docs/add-endpoint-security-hx-server-to-epo-saas#manual-mode) ### Automatic mode 1. Log in to ePO - SaaS. 2. Navigate to **Menu** → **Configuration** → **ePO - SaaS** **Settings**. 3. Select the **HX** **Instance Management** in the left pane and click **Edit** in the bottom right corner. 4. Click **Actions** in the bottom left corner, and then select **Add** **HX** **Instance**. 5. Provide the details for **HX** **Server Name** and **HX** **Server URL**. For the **HX** **Server URL**, use the Fully Qualified Domain Name (FQDN), such as `https://servername:port/`. ![Add_HX_Instance_Auto_mode_ePO_SaaS.png](https://cdn.us.document360.io/0d453a50-e1da-4d4a-9409-fea7959614d8/Images/Documentation/uuid-b05fac27-0ad0-1229-998d-c0f10e1c3bee.png?sv=2026-02-06&spr=https&st=2026-11-19T21%3A13%3A57Z&se=2026-11-19T22%3A13%3A57Z&sr=c&sp=r&sig=57u7wCmdbZtAcUbutY7e4FRMZnNhjjwVIsnwfaIqllU%3D) 6. Click **Show Cert**. 7. Validate that the certificate fingerprint in ePO matches the HX server's certificate fingerprint. 8. Select the **Confirm the** **HX** **certificate is valid** checkbox. 9. Enter the HX server administrator credentials. > [!NOTE] > Note > > Use the Endpoint Security (HX) server administrator username and password, not your IAM credentials. 10. Click **Get** **HX** **Config**. The HX server configuration file downloads to your endpoint. 11. Click **OK** and then click **Save**. > [!NOTE] > Note > > You can add multiple Endpoint Security (HX) server instances. Before deleting an instance, ensure it is not selected in any **General** policy. 12. After adding the server instance, you must enable communication in the Policy Catalog to complete the integration. For more details, see [Enable server communication](/v1/docs/add-endpoint-security-hx-server-to-epo-saas#enable-server-communication). ### Manual mode 1. Log in to ePO - SaaS. 2. From the **Actions** menu, select **Add** **HX** **Instance**. 3. Enter the **HX** **Server Name** and **HX** **Server URL**. 4. Enable the **Manually add** **HX** **instance** toggle. ![Add_HX_Instance_epo_SaaS.png](https://cdn.us.document360.io/0d453a50-e1da-4d4a-9409-fea7959614d8/Images/Documentation/uuid-73d2d8ae-1c0b-45c5-9818-d56f3714eece.png?sv=2026-02-06&spr=https&st=2026-11-19T21%3A13%3A57Z&se=2026-11-19T22%3A13%3A57Z&sr=c&sp=r&sig=57u7wCmdbZtAcUbutY7e4FRMZnNhjjwVIsnwfaIqllU%3D) 5. To get the server configuration JSON, run this curl command: ```plaintext curl --proxy -s -k GET "https://HOST:PORT/hx/api/v3/server_info" -H "accept: application/json" -i --user username:password For example: curl --proxy proxy.internal.corp:8080 -s -k GET "https://[2001:db8:a0b:12f0::1]:3000/hx/api/v3/server_info" -H "accept: application/json" -i --user api_user:P@ssw0rd3xampl3! ``` > [!NOTE] > Note > > If you use a cloud HX server, run the command without the port number. 6. From the command output, copy the JSON snippet from `{"servers"` to just before , `"message" : "OK"}`. ![Json_file.png](https://cdn.us.document360.io/0d453a50-e1da-4d4a-9409-fea7959614d8/Images/Documentation/uuid-51124488-6706-6c34-bdc8-8572eab516f0.png?sv=2026-02-06&spr=https&st=2026-11-19T21%3A13%3A57Z&se=2026-11-19T22%3A13%3A57Z&sr=c&sp=r&sig=57u7wCmdbZtAcUbutY7e4FRMZnNhjjwVIsnwfaIqllU%3D) 7. Paste the snippet and the user credentials into the server configuration field. 8. Click **Save**. 9. After adding the server instance, you must enable communication in the Policy Catalog to complete the integration. For more details, see [Enable server communication](/v1/docs/add-endpoint-security-hx-server-to-epo-saas#enable-server-communication). ### Enable server communication After adding the HX server instance, you must select the added HX server in the **Policy Catalog**. 1. Go to **Menu** → **Policy** → **Policy Catalog**. 2. From the **Product** list, select **Trellix EDR with Forensics**. 3. Expand the **General** policy and click **Edit** for the applicable policy. 4. Click **Show Advanced** and go to **Forensics (****HX****) Server**. 5. From the **Registered Forensics (****HX****)** servers list, select the configured HX instance. 6. Click **Save**. > [!NOTE] > Note > > You can add multiple Endpoint Security (HX) server instances. Before deleting an instance, ensure it is not selected in any **General** policy.